> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Firewall Rules

> Get the list of firewall rules for a server.



## OpenAPI

````yaml get /servers/{server}/firewall
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /servers/{server}/firewall:
    get:
      summary: Get firewall rules
      description: Get the list of firewall rules for a server.
      operationId: getFirewallRules
      parameters:
        - $ref: '#/components/parameters/server'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: GetFirewallRulesOk
                properties:
                  status:
                    type: boolean
                  rules:
                    type: array
                    items:
                      $ref: '#/components/schemas/firewallRule'
                  options:
                    type: object
          description: Firewall rules retrieved successfully.
        '403':
          description: Unauthorized access.
      security:
        - Authorization: []
components:
  parameters:
    server:
      in: path
      name: server
      schema:
        type: string
      required: true
  schemas:
    firewallRule:
      type: object
      properties:
        pos:
          type: integer
          description: Rule position index
        type:
          type: string
          enum:
            - in
            - out
        action:
          type: string
          enum:
            - ACCEPT
            - DROP
            - REJECT
        proto:
          type: string
        dport:
          type: string
        sport:
          type: string
        source:
          type: string
        dest:
          type: string
        comment:
          type: string
        enable:
          type: integer
      description: Firewall rule object.
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````